// DFBiokey.cpp : Definiert den Einsprungpunkt fr die Konsolenanwendung.
//

#include "stdafx.h"
#include <stdio.h>
#include <stdlib.h>
#include "DFBiokey3000.h"

int main(int argc, char* argv[])
{
  int error=0;
  unsigned char Template[250];//bei DIN-Format 161Byte, bei Idencom Compact Format 216Byte, grer schadet nichts
  unsigned int size;

  //zuerst Com-Schnittstelle ffnen
  if (!DFBComOpen("COM1")) error = DFBGetLastErrorNum();

  //anschlieend den Biokey3000 initialisieren
  if (!DFBInit(1,50,40,12)) error = DFBGetLastErrorNum();

  //nun einen Finger scannen
  if (!DFBScanFinger(1)) error = DFBGetLastErrorNum();

  size=sizeof(Template);

  //das Template aus dem Biokey3000 holen
  if (!DFBGetTemplate(&size,Template)) error = DFBGetLastErrorNum();

  //am Ende noch die Schnittstelle schlieen
  DFBComClose();

  //nur fr Tests warten
  system("pause");

	return 0;
}
